# OpenSC API Reference

sc_find_pkcs15_app
3
opensc

# sc_find_pkcs15_app

Find a PKCS#15 application on a card

## Synopsis

    #include <opensc.h>

    const sc_app_info_t *sc_find_pkcs15_app(sc_card_t *card);

## Description

This function attempts to find a PKCS#15 application on card. Currently, this means either a standard PKCS#15 implementation or a Belgian eID.

Before calling this function, you MUST call sc_enum_apps() first.

## Return value

Returns a sc_app_info_t structure describing the PKCS#15 application, or NULL if none was found.